ESLint – Configuration for rule “indent” is invalid

Screen Shot 2017-09-23 at 3.56.21 AM.png

보일러플레이트에서 쓰는 라이브러리 버전이 조금 낡은 것 같아서 npm-check를 이용해서 eslint와 airbnb preset을 업데이트 했는데, 그 이후로 eslint가 터지기 시작했다. 여기저기 찾다보니 최근에 생긴 문제는 아닌 것 같았는데, 질답 문서들이 꽤 옛날까지 거슬러 올라갔기 때문.

그래서 이것 저것 다 해보다가, rm -rf node_modules && npm install을 하니 깔끔하게 돌아간다. 역시 기계가 말을 안들을때는 배터리를 뺐다 다시 껴야하나봐. 아마 업데이트를 하면서 예전 버전의 파일들이 최신 버전의 설정들과 충돌을 일으킨 것으로 보인다!

Leave a Reply